<div style="padding: 13px;">

    <mat-card-title>Ejercicio 1 - {{api.status}}</mat-card-title>
    <mat-card-content>
        <h3>A resolver:</h3>
        <p>Agregar en el menú toolbar una nueva función ("Ver Farmacias Farmacity") para poder listar las farmacias activas de la cadena FARMACITY.
            Farmacity es la cadena 13
        </p>

        <p>
            Desde el backend nos entregan la siguiente clase Farmacia, que contiene tiene los siguientes datos
        </p>
        <p>
            Farmacia:
                id: Long;
                nombre: String;
                activo: Boolean;
                id_cadena: Long;
        </p>
        <p> El servicio está disponible en localhost:3000/farmacias (disponible en environments)</p>
        <p> Info de uso de listas https://material.angular.io/components/list/overview </p>
        <p> (Plus) utilizar tablas https://material.angular.io/components/table/overview </p>

        <table mat-table [dataSource]="farmaciasFiltradas" class="mat-elevation-z8">

          <!--- Note that these columns can be defined in any order.
                The actual rendered columns are set as a property on the row definition" -->
        
          <!-- Id Column -->
          <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef> Id </th>
            <td mat-cell *matCellDef="let element"> {{element.id}} </td>
          </ng-container>
        
          <!-- Nombre Column -->
          <ng-container matColumnDef="nombre">
            <th mat-header-cell *matHeaderCellDef> Nombre </th>
            <td mat-cell *matCellDef="let element"> {{element.nombre}} </td>
          </ng-container>
        
          <!-- Estado Column -->
          <ng-container matColumnDef="estado">
            <th mat-header-cell *matHeaderCellDef> Activo </th>
            <td mat-cell *matCellDef="let element"> {{element.estado ? '&#10003;' : '&#10005;'}} </td>
          </ng-container>

          <!-- Id Column -->
          <ng-container matColumnDef="id_cadena">
            <th mat-header-cell *matHeaderCellDef> Id Cadena </th>
            <td mat-cell *matCellDef="let element"> {{ element.id_cadena }} </td>
          </ng-container>
        
          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          
        </table>

    </mat-card-content>